For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
GuidesIntegrationsAPI ReferencesRelease notes
GuidesIntegrationsAPI ReferencesRelease notes
    • APIs overview
  • Upload API
    • Errors
  • REST API
    • Authentication
    • File Metadata
      • GETGet file's metadata
      • GETGet metadata key's value
      • PUTUpdate metadata key's value
      • DELDelete metadata key
    • Add Ons
    • Changelog
    • Versioning
  • URL API
    • File Information
    • File Names
    • File groups
    • Image processing limitations
    • Image compression
    • Image resize and crop
    • Image rotation
    • Image overlays
    • Image colors
    • Image definition
    • Image recognition
    • Other image operations
    • Proxy
    • Signed URLs
    • CDN settings
    • Integrations
Dashboard
LogoLogo
REST APIFile Metadata

Update metadata key's value

PUT
https://api.uploadcare.com/files/:uuid/metadata/:key/
PUT
/files/:uuid/metadata/:key/
$curl -X PUT https://api.uploadcare.com/files/21975c81-7f57-4c7a-aef9-acfe28779f78/metadata/subsystem/ \
> -H "Accept: application/vnd.uploadcare-v0.7+json" \
> -H "Authorization: <apiKey>" \
> -H "Content-Type: application/json" \
> -d "image-processing"
1"image-processing"
Update the value of a single metadata key. If the key does not exist, it will be created.
Was this page helpful?
Previous

Delete metadata key

Next
Built with

Authentication

Authorizationstring

Every request made to https://api.uploadcare.com/ MUST be signed. HTTPS SHOULD be used with any authorization scheme.

Requests MUST contain the Authorization header defining auth-scheme and auth-param: Authorization: auth-scheme auth-param.

Every request MUST contain the Accept header identifying the REST API version: Accept: application/vnd.uploadcare-v0.7+json.

There are two available authorization schemes:

  • For production: Uploadcare, a scheme where a signature, not your Secret API Key MUST be specified. Signatures SHOULD be generated on backend.
  • For quick tests: Uploadcare.Simple, a simple scheme where your Secret API Key MUST be specified in every request’s auth-param.

Path parameters

uuidstringRequiredformat: "uuid"
File UUID.
keystringRequiredformat: "[\w\-\.\:]+"1-64 characters

Key of file metadata. List of allowed characters for the key:

  • Latin letters in lower or upper case (a-z,A-Z)
  • digits (0-9)
  • underscore _
  • a hyphen -
  • dot .
  • colon :

Headers

AcceptstringRequired
Version header.

Request

This endpoint expects a string.

Response

Value of a file's metadata key successfully updated.

Errors

400
Bad Request Error
401
Unauthorized Error
406
Not Acceptable Error